package fr.eisti.application;

// importation des autres modules de l'application
import fr.eisti.application.module1.*;
import fr.eisti.application.module2.*;

// importation package spécifique
import fr.superteam.supertool.*;

// importation des packages installés sur le poste utilisateur
import com.oracle.jdbc.*;
import fr.domaine1.print.*;
import fr.domaine2.mail.*;
import fr.domaine3.webservices.wsdl.*;
import fr.domaine3.webservices.soap.*;
import fr.domaine3.webservices.xmlparser.*;
import fr.domaine4.http.*;
import fr.domaine5.toolbox1.*;
import fr.domaine5.toolbox2.*;
import fr.domaine6.toolbox3.*;
import fr.domaine6.toolbox4.*;
import fr.domaine7.toolbox5.*;
import fr.domaine7.toolbox6.*;
import fr.domaine8.toolbox7.*;
import fr.domaine8.toolbox8.*;
import fr.domaine8.toolbox9.*;
import fr.domaine8.toolbox10.*;

public class Appli {

	public static void main(String[] args) {
		System.out.println("Initialisation du projet ...");
		// utilisation d'une BDD
		Bdd bdd = new Bdd();
		bdd.connect();
		bdd.sendRequest();

		// code de l'appli utilisant les 2 sous-modules
		ObjectAppli1 o1 = new ObjectAppli1();
		Object1Module1 o2 = new Object1Module1();
		Object2Module1 o3 = new Object2Module1();
		Object1Module2 o4 = new Object1Module2();
		Object2Module2 o5 = new Object2Module2();
		
		// utilisation de la librairie spécifique
		Classe1 o6 = new Classe1();
		o6.f1();

		// utilisation des librairies du poste de travail
		Printer printer = new Printer();
		printer.print();
		Mailer mailer = new Mailer();
		mailer.sendMessage();
		WsdlParser wsdlParser = new WsdlParser();
		wsdlParser.wsdl2java();
		SoapConverter soapConverter = new SoapConverter();
		soapConverter.java2Xml();
		soapConverter.xml2java();
		SaxParser saxParser = new SaxParser();
		saxParser.parse();
		HttpSocket socket = new HttpSocket();
		socket.sendHttp();
		MaClasse1 oo1 = new MaClasse1();
		oo1.f1();
		MaClasse2 oo2 = new MaClasse2();
		oo2.f2();
		MaClasse3 oo3 = new MaClasse3();
		oo3.f3();
		MaClasse4 oo4 = new MaClasse4();
		oo4.f4();
		MaClasse5 oo5 = new MaClasse5();
		oo5.f5();
		MaClasse6 oo6 = new MaClasse6();
		oo6.f6();
		MaClasse7 oo7 = new MaClasse7();
		oo7.f7();
		MaClasse8 oo8 = new MaClasse8();
		oo8.f8();
		MaClasse9 oo9 = new MaClasse9();
		oo9.f9();
		MaClasse10 oo10 = new MaClasse10();
		oo10.f10();
		System.out.println("Projet exécuté avec succès ...");
	}
}
